#
# spec file for package python-promise
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-promise
Version:        2.1
# for license file
%define tag     b055d1e2aa1368062bc4f265b525bf2e48fadc47
Release:        2.1
Summary:        Promises/A+ implementation for Python
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/syrusakbary/promise
Source:         https://files.pythonhosted.org/packages/source/p/promise/promise-%{version}.tar.gz
Source10:       https://raw.githubusercontent.com/syrusakbary/promise/%{tag}/LICENSE
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-six
Requires:       python-typing
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This is an implementation of Promises in Python

%prep
%setup -q -n promise-%{version}
cp %{SOURCE10} .

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Wed May  9 2018 toddrme2178@gmail.com
- Add license file
- Use license tag
* Tue Feb 13 2018 gsmith@suse.com
- Initial packaging (version 2.1)
